<?php

include_once('./include/config.php');

$website = file_get_contents('http://halflife.rutgers.edu/ec/notices.php');

$split = preg_split('~(<body>)~', $website);
$split = preg_split('~(</body>)~', $split[1]);
$split = preg_split('~(<hr>)~', $split[0]);

//print_r($split);

$json_output = array();
foreach ($split as $segment)
{
   $matches = array();
   $date = array();
   $content = array();

//   echo $segment;

   preg_match('/<div class="title">(.*?)<\/div>/si', $segment, $title);
//   print_r($title);
//   echo $title[1];
   preg_match('/<div class="posted">(.*?)<\/div>/si', $segment, $date);
   preg_match('/\((.*?)\)/si', $date[1], $date);
//   echo $date[1];
   preg_match('/<div class="contents">(.*?)<\/div>/si', $segment, $content);
//   echo $content[1];

   if (!is_null($title[1]) && !is_null($date[1]) && !is_null($content[1]))
   {
      $scrape = array('title' => utf8_encode($title[1]), 'date' => utf8_encode(strip_tags($date[1])), 'content' => utf8_encode(strip_tags($content[1])));
      $json_output[] = $scrape;
   }
}

if (strtotime($json_output[0]['date']) > strtotime('today') && strtotime($json_output[0]['date']) < strtotime('tomorrow'))
{
   if (strpos($json_output[0]['content'], 'delayed'))
   {
      $status = "delayed";
   }
   else if (strpos($json_output[0]['content'], 'closed'))
   {
      $status = "closed";
   }
   else
   {
      $message = "message";
   }
}
else
{
   $status = "running";
}

$json_output = array('status' => $status, 'data' => $json_output);

//print_r($json_output);
$file = fopen($GLOBALS['CONFIG']['temp_dir'] . '/status.txt', 'w');
fwrite($file, json_encode($json_output));
fclose($file);
chmod($GLOBALS['CONFIG']['temp_dir'] . '/status.txt', '0644');
rename($GLOBALS['CONFIG']['temp_dir'] . '/status.txt', $GLOBALS['CONFIG']['web_dir'] . '/status.txt');

//echo $split[0];
//echo $split[1];

//print_r($split);

?>
